A library to generate static_orm automatically.

## Usage

A simple usage example:

```dart
import 'package:static_orm_generator/static_orm_generator.dart';
import 'package:static_postgres_orm/static_postgres_orm.dart';

void main() {
  var connection = PostgreSQLConnection('localhost', 5432, 'db_teste',
      username: 'postgres', password: '1234');
  generate_pg_orm(connection);
}
```

Define a path to generated files

```dart
import 'package:static_orm_generator/static_orm_generator.dart';
import 'package:static_postgres_orm/static_postgres_orm.dart';

void main() {
  var connection = PostgreSQLConnection('localhost', 5432, 'db_teste',
      username: 'postgres', password: '1234');
  generate_pg_orm(connection, path: 'orm');
}
```

Omiting schema name in FileNames and ClassNames

```dart
import 'package:static_orm_generator/static_orm_generator.dart';
import 'package:static_postgres_orm/static_postgres_orm.dart';

void main() {
  var connection = PostgreSQLConnection('localhost', 5432, 'db_teste',
      username: 'postgres', password: '1234');
  generate_pg_orm(connection, schemaInName: false);
}
```

## Features and bugs

Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: https://github.com/andriwsluna/static_orm_generator/issues
